Restore
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/{listId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Segments (Lists)
Restore
Restore a previously deleted list in your HubSpot account. This operation allows you to recover lists that have been removed, ensuring that any associated data or configurations are reinstated. This can be useful for retrieving lists that were mistakenly deleted or are needed again for ongoing operations.
PUT
/
crm
/
lists
/
2026-09-beta
/
{listId}
/
restore
Restore
Last modified on August 7, 2026
Was this page helpful?
⌘I